Bug 103236 - Some Impress slide transitions crash LO on older GPUs that only support old OpenGL versions
Summary: Some Impress slide transitions crash LO on older GPUs that only support old O...
Status: RESOLVED DUPLICATE of bug 108069
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All Windows (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OpenGL
  Show dependency treegraph
 
Reported: 2016-10-15 10:50 UTC by billy78
Modified: 2017-05-29 08:41 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments
ODP with Fade on the 2nd slide (16.06 KB, application/vnd.oasis.opendocument.presentation)
2016-10-20 07:51 UTC, Kumāra
Details

Note You need to log in before you can comment on or make changes to this bug.
Description billy78 2016-10-15 10:50:46 UTC
Description:
When I select a slide transition that my system does not support (maybe because of low OPENGL version?) like Honeycomb, Impress crashes. It would be nice if Libreoffice filtered out of the list every effect that is not supported in Slide Transition or Custom Animation. Or just maybe when clicking the effect, display a message "Effect is not supported in your system".

Steps to Reproduce:
1. Select a slide transition that my system does not support

Actual Results:  
Impress crashes

Expected Results:
Impress should just deny applying the effect with a message or filter it out of the list previously.


Reproducible: Always

User Profile Reset: Yes

Additional Info:
Windows 7 SP1 (32bit and 64bit systems)
Various OPENGL versions


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Julien Nabet 2016-10-15 11:08:18 UTC
5.0 branch is EOL. Could you give a try to last stable LO version 5.2.2?
Comment 2 billy78 2016-10-15 13:14:15 UTC
(In reply to Julien Nabet from comment #1)
> 5.0 branch is EOL. Could you give a try to last stable LO version 5.2.2?

Yes, it still happens with 5.2.2

The systems with Windows 7 SP1 that crash Impress are in a lab which I don't access right now. But I did a fresh install of LO v5.2.2 in a laptop with XP SP3 and it shows the same behavior.

The slide transitions that work are:
Wipe, Wheel, Uncover, Random Bars, Checkers, Shape, Box, Wedge, Venetian, Cut, Cover, Dissolve, Random, Comb, Push, Split, Diagonal.

The slide transitions that DON'T work and immediately crash Impress upon clicking on them are:
Fade, Tiles, Cube, Circles, Helix, Fall, Turn Around, Iris, Turn Down, Rochade, 3D Venetian, Static, Fine Dissolve, Vortex, Ripple, Glitter, Honeycomb, Newsflash.
Comment 3 billy78 2016-10-15 13:40:32 UTC
OpenGL Extensions Viewer 3.0 reports for my system with XP SP3:


Renderer: Intel 915GM
Vendor: Intel
Memory: 128 MB
Version: 1.4.0 - Build 4.14.10.3984
Shading language version: N/A


Max texture size: 2048 x 2048
Max texture coordinates: 8
Max vertex texture image units: 0
Max texture image units: 16
Max geometry texture units: 0
Max anisotropic filtering value: 4
Max number of light sources: 16
Max viewport size: 2048 x 2048
Max uniform vertex components: 0
Max uniform fragment components: 0
Max geometry uniform components: 0
Max varying floats: 0
Max samples: 0
Max draw buffers: 0


Extensions: 51

GL_3DFX_texture_compression_FXT1
GL_ARB_depth_texture
GL_ARB_fragment_program
GL_ARB_multitexture
GL_ARB_point_parameters
GL_ARB_shadow
GL_ARB_texture_border_clamp
GL_ARB_texture_compression
GL_ARB_texture_cube_map
GL_ARB_texture_env_add
GL_ARB_texture_env_combine
GL_ARB_texture_env_crossbar
GL_ARB_texture_env_dot3
GL_ARB_transpose_matrix
GL_ARB_vertex_program
GL_ARB_window_pos
GL_EXT_abgr
GL_EXT_bgra
GL_EXT_blend_color
GL_EXT_blend_func_separate
GL_EXT_blend_minmax
GL_EXT_blend_subtract
GL_EXT_clip_volume_hint
GL_EXT_compiled_vertex_array
GL_EXT_cull_vertex
GL_EXT_draw_range_elements
GL_EXT_fog_coord
GL_EXT_multi_draw_arrays
GL_EXT_packed_pixels
GL_EXT_rescale_normal
GL_EXT_secondary_color
GL_EXT_separate_specular_color
GL_EXT_shadow_funcs
GL_EXT_stencil_two_side
GL_EXT_stencil_wrap
GL_EXT_texture3D
GL_EXT_texture_compression_s3tc
GL_EXT_texture_env_add
GL_EXT_texture_env_combine
GL_EXT_texture_filter_anisotropic
GL_IBM_texture_mirrored_repeat
GL_NV_blend_square
GL_NV_texgen_reflection
GL_SGIS_generate_mipmap
GL_WIN_swap_hint
WGL_ARB_buffer_region
WGL_ARB_extensions_string
WGL_ARB_make_current_read
WGL_ARB_pbuffer
WGL_ARB_pixel_format
WGL_EXT_swap_control

Core features
v1.1 (100 % - 7/7)
v1.2 (100 % - 8/8)
v1.3 (100 % - 9/9)
v1.4 (100 % - 15/15)
v1.5 (33 % - 1/3)
v2.0 (10 % - 1/10)
v2.1 (0 % - 0/3)
v3.0 (0 % - 0/23)
v3.1 (0 % - 0/8)
v3.2 (0 % - 0/9)
v3.3 (0 % - 0/9)
v4.0 (0 % - 0/13)
v4.1 (0 % - 0/7)

OpenGL driver version check (Current: 6.14.10.3984, Latest known: 6.14.10.3943):
Latest version of display drivers found
According the database, you are running the latest display drivers for your video card.

Compiled vertex array support
This feature improves OpenGL performance by using video memory to cache transformed vertices.

Multitexture support
This feature accelerates complex rendering such as lightmaps or environment mapping.

Secondary color support
This feature provides an alternate method of coloring specular highlights on polygons.

S3TC compression support
This feature improves texture mapping performance in some applications by using lossy compression.

No texture edge clamp support
This feature adds clamping control to edge texel filtering. Some programs may not render textures correctly (black line on borders.)

Vertex program support
This feature enables a wide variety of effects via flexible vertex programming (equivalent to DX8 Vertex Shader.)

Fragment program support
This feature enables a wide variety of effects via per pixel programming (equivalent to DX9 Pixel Shader.)

Texture anisotropic filtering support
This feature improves the quality of texture mapping on oblique surfaces.

No OpenGL Shading Language support
This may break compatibility for applications using per pixel shading.

No Frame buffer object support
This may break compatibility for applications using render to texture functions.

Extension verification: 
GL_ARB_debug_output was not found, but has the entry point glGetPointerv 
GL_ARB_imaging was not found, but has the entry point glBlendEquation 
WGL_EXT_extensions_string was not found, but has the entry point wglGetExtensionsStringEXT 
GL_ARB_vertex_buffer_object was not found, but is available in driver version 1.4.0 - Build 4.14.10.4020
Comment 4 Julien Nabet 2016-10-15 17:05:07 UTC
Thank you for your feedback. I put back version back because this field corresponds to the oldest LO version where the bug can be encountered.
Comment 5 Julien Nabet 2016-10-15 17:09:21 UTC
billy78: in your lab with Win7 if you install LO 5.2.2, it should be ok thanks to https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-5-2-1&id=a2aa528f5a842cceedd82a3c9329bfa9ecb7e285
Indeed, this patch blacklist Intel drivers for Windows 7.

Michael: should we blacklist Intel drivers for XP too?
Comment 6 billy78 2016-10-15 17:54:12 UTC
Julien, I think that I *did* try 5.2.2 and also crashed in my lab. However, since now I'm not really sure for the earliest version that the probleam appeared, on Monday I'll do a completely fresh install of LO 5.0.0, 5.1.0, 5.2.0 and 5.2.2 in my lab and also report opengl data.
Comment 7 Julien Nabet 2016-10-15 18:40:11 UTC
(In reply to billy78 from comment #6)
> Julien, I think that I *did* try 5.2.2 and also crashed in my lab. However,
> since now I'm not really sure for the earliest version that the probleam
> appeared, on Monday I'll do a completely fresh install of LO 5.0.0, 5.1.0,
> 5.2.0 and 5.2.2 in my lab and also report opengl data.

Ok, think about renaming your LO directory profile (seehttps://wiki.documentfoundation.org/UserProfile#Windows) so it'll force LO to check Windows config during its next launch.
Comment 8 Michael Meeks 2016-10-15 21:48:05 UTC
> Michael: should we blacklist Intel drivers for XP too?

Certainly - for anything < Windows 10 - the -Intel- drivers appear un-enumbered by things like thread-safety, testing, reliability.

A patch to the XML to implement that much appreciated ! =)

Then again - I could swear that GL should not be enabled on Windows XP at all - if it is that worries me generally, we should disable it there completely I think.

Thanks.
Comment 9 Julien Nabet 2016-10-15 21:59:31 UTC
(In reply to Michael Meeks from comment #8)
> > Michael: should we blacklist Intel drivers for XP too?
> 
> Certainly - for anything < Windows 10 - the -Intel- drivers appear
> un-enumbered by things like thread-safety, testing, reliability.
> 
> A patch to the XML to implement that much appreciated ! =)
> 
I agree

> Then again - I could swear that GL should not be enabled on Windows XP at
> all - if it is that worries me generally, we should disable it there
> completely I think.
Indeed, I just noticed this:
     47         <entry os="xp" vendor="all">
     48             <device id="all"/>

So at least on XP, OpenGL should be disabled.

(see http://opengrok.libreoffice.org/xref/core/vcl/opengl/opengl_blacklist_windows.xml#47)
Would there be some bug on blacklist management?

Billy: just to be sure, Force OpenGL option isn't checked, is it?
Comment 10 billy78 2016-10-16 06:45:58 UTC
> Billy: just to be sure, Force OpenGL option isn't checked, is it?

Julien, Force OpenGL is not checked. Only "Use hardware acceleration" and "Use anti-aliasing" are checked, but these make no difference if I uncheck them too.
Comment 11 billy78 2016-10-16 19:28:21 UTC
I've done some tests with portable LO versions on my XP SP3 and I suspect that tomorrow I'll experience the same results for Win7:

v5.0.0 does not crash (complex transitions just don't do anything)
v5.1.0 and v5.1.5 do not crash (complex transitions just don't do anything)
v5.2.0, v5.2.1 and v5.2.2 crash with the transitions that I have mentioned.

I will change the earliest LO version affected to 5.2.0 (release, since I don't know about beta and RC) and I'll post the results with Win7 tomorrow.
Comment 12 Aron Budea 2016-10-17 02:54:36 UTC
*** Bug 103046 has been marked as a duplicate of this bug. ***
Comment 13 Aron Budea 2016-10-17 03:02:33 UTC
Here's my comment from the other bug report:

"Reproduced with v5.2.1.2 / Windows 7.
Filing crash report wasn't offered, and WinDbg backtrace was useless, the only result of the analysis was that the application had exited.

This is the content of opengl_device.log:

DriverVersion: 2.7.1.6
DriverDate: 6-18-2010
DeviceID: PCI\VEN_102B&DEV_2539&SUBSYS_0040102B&REV_01
AdapterVendorID: 0x102b
AdapterDeviceID: 0x2539
AdapterSubsysID: 0x0040102b
DeviceKey: System\CurrentControlSet\Control\Video\{CC00E15A-1A8D-4171-B4B3-930DEB562651}\0000
DeviceString: Matrox Millennium P690 PCIe x16"
https://bugs.documentfoundation.org/show_bug.cgi?id=103046#c15
Comment 14 billy78 2016-10-17 06:14:13 UTC
I have just finished my tests in a Win7 SP1 32-bit laptop.
Transitions work up to v5.2.0 beta1 (alpha1 and beta1). From beta2 and above (beta2 and all RCs) transitions crash.

OpenGL Viewer reports:

Renderer: Mobile Intel(R) 4 Series Express Chipset Family
Vendor: Intel
Memory: 0 MB
Version: 2.1.0 - Build 8.15.10.2057
Shading language version: 1.20  - Intel Build 8.15.10.2057


Max texture size: 4096 x 4096
Max texture coordinates: 0
Max vertex texture image units: 16
Max texture image units: 16
Max geometry texture units: 0
Max anisotropic filtering value: 2
Max number of light sources: 16
Max viewport size: 4096 x 4096
Max uniform vertex components: 512
Max uniform fragment components: 1024
Max geometry uniform components: 0
Max varying floats: 41
Max samples: 0
Max draw buffers: 7


Extensions: 77

GL_3DFX_texture_compression_FXT1
GL_ARB_color_buffer_float
GL_ARB_depth_texture
GL_ARB_draw_buffers
GL_ARB_draw_instanced
GL_ARB_fragment_program
GL_ARB_fragment_shader
GL_ARB_half_float_pixel
GL_ARB_multitexture
GL_ARB_occlusion_query
GL_ARB_pixel_buffer_object
GL_ARB_point_parameters
GL_ARB_point_sprite
GL_ARB_shader_objects
GL_ARB_shading_language_100
GL_ARB_shadow
GL_ARB_texture_border_clamp
GL_ARB_texture_compression
GL_ARB_texture_cube_map
GL_ARB_texture_env_add
GL_ARB_texture_env_combine
GL_ARB_texture_env_crossbar
GL_ARB_texture_env_dot3
GL_ARB_texture_float
GL_ARB_texture_non_power_of_two
GL_ARB_texture_rectangle
GL_ARB_transpose_matrix
GL_ARB_vertex_buffer_object
GL_ARB_vertex_program
GL_ARB_vertex_shader
GL_ARB_window_pos
GL_ATI_separate_stencil
GL_EXT_abgr
GL_EXT_bgra
GL_EXT_blend_color
GL_EXT_blend_equation_separate
GL_EXT_blend_func_separate
GL_EXT_blend_minmax
GL_EXT_blend_subtract
GL_EXT_clip_volume_hint
GL_EXT_compiled_vertex_array
GL_EXT_draw_range_elements
GL_EXT_fog_coord
GL_EXT_framebuffer_object
GL_EXT_multi_draw_arrays
GL_EXT_packed_pixels
GL_EXT_rescale_normal
GL_EXT_secondary_color
GL_EXT_separate_specular_color
GL_EXT_shadow_funcs
GL_EXT_stencil_two_side
GL_EXT_stencil_wrap
GL_EXT_texture3D
GL_EXT_texture_compression_s3tc
GL_EXT_texture_env_add
GL_EXT_texture_env_combine
GL_EXT_texture_filter_anisotropic
GL_EXT_texture_lod_bias
GL_EXT_texture_rectangle
GL_EXT_texture_sRGB
GL_EXT_texture_swizzle
GL_IBM_texture_mirrored_repeat
GL_NV_blend_square
GL_NV_conditional_render
GL_NV_texgen_reflection
GL_SGIS_generate_mipmap
GL_SGIS_texture_edge_clamp
GL_SGIS_texture_lod
GL_WIN_swap_hint
WGL_ARB_buffer_region
WGL_ARB_extensions_string
WGL_ARB_make_current_read
WGL_ARB_pbuffer
WGL_ARB_pixel_format
WGL_ARB_pixel_format_float
WGL_EXT_extensions_string
WGL_EXT_swap_control

Core features
v1.1 (100 % - 7/7)
v1.2 (100 % - 8/8)
v1.3 (100 % - 9/9)
v1.4 (100 % - 15/15)
v1.5 (100 % - 3/3)
v2.0 (100 % - 10/10)
v2.1 (100 % - 3/3)
v3.0 (21 % - 5/23)
v3.1 (25 % - 2/8)
v3.2 (0 % - 0/10)
v3.3 (0 % - 0/10)
v4.0 (0 % - 0/14)
v4.1 (0 % - 0/7)
v4.2 (0 % - 0/13)
v4.3 (0 % - 0/23)
v4.4 (0 % - 0/10)
v4.5 (0 % - 0/11)
vARB 2015 (0 % - 0/13)
vARB 2016 (0 % - 0/1)

OpenGL driver version check (Current: 2.1.0 - Build 8.15.10.2057, Latest known: 2.1.0 - Build 8.15.10.1808):
Latest version of display drivers found
According the database, you are running the latest display drivers for your video card.

No ICD registry entry
The current OpenGL driver doesn't expose the SOFTWARE/Microsoft/Windows (NT)/CurrentVersion/OpenGLDrivers registry entry. Unable to detect the driver version, driver revision name and filename.

Multitexture support
This feature accelerates complex rendering such as lightmaps or environment mapping.

Secondary color support
This feature provides an alternate method of coloring specular highlights on polygons.

S3TC compression support
This feature improves texture mapping performance in some applications by using lossy compression.

Texture edge clamp support
This feature improves texturing quality by adding clamping control to edge texel filtering.

Vertex program support
This feature enables a wide variety of effects via flexible vertex programming (equivalent to DX8 Vertex Shader.)

Fragment program support
This feature enables a wide variety of effects via per pixel programming (equivalent to DX9 Pixel Shader.)

Texture anisotropic filtering support
This feature improves the quality of texture mapping on oblique surfaces.

Occlusion test support
This feature provides hardware accelerated culling for objects.

Point sprite support
This feature improves performance in some particle systems.

OpenGL Shading Language support
This feature enables high level shading language for shaders.

Frame buffer object support
This feature enables render to texture functionality.

Extension verification: 
GL_ARB_color_buffer_float has the entry point glClampColorARB missing!
GL_ARB_draw_buffers has the entry point glDrawBuffersARB missing!
GL_ARB_multitexture has the entry point glActiveTextureARB missing!
GL_ARB_multitexture has the entry point glClientActiveTextureARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord1dARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord1dvARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord1fARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord1fvARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord1iARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord1ivARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord1sARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord1svARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord2dARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord2dvARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord2fARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord2fvARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord2iARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord2ivARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord2sARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord2svARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord3dARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord3dvARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord3fARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord3fvARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord3iARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord3ivARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord3sARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord3svARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord4dARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord4dvARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord4fARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord4fvARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord4iARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord4ivARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord4sARB missing!
GL_ARB_multitexture has the entry point glMultiTexCoord4svARB missing!
GL_ARB_occlusion_query has the entry point glBeginQueryARB missing!
GL_ARB_occlusion_query has the entry point glDeleteQueriesARB missing!
GL_ARB_occlusion_query has the entry point glEndQueryARB missing!
GL_ARB_occlusion_query has the entry point glGenQueriesARB missing!
GL_ARB_occlusion_query has the entry point glGetQueryObjectivARB missing!
GL_ARB_occlusion_query has the entry point glGetQueryObjectuivARB missing!
GL_ARB_occlusion_query has the entry point glGetQueryivARB missing!
GL_ARB_occlusion_query has the entry point glIsQueryARB missing!
GL_ARB_point_parameters has the entry point glPointParameterfARB missing!
GL_ARB_point_parameters has the entry point glPointParameterfvARB missing!
GL_ARB_shader_objects has the entry point glAttachObjectARB missing!
GL_ARB_shader_objects has the entry point glCompileShaderARB missing!
GL_ARB_shader_objects has the entry point glCreateProgramObjectARB missing!
GL_ARB_shader_objects has the entry point glCreateShaderObjectARB missing!
GL_ARB_shader_objects has the entry point glDeleteObjectARB missing!
GL_ARB_shader_objects has the entry point glDetachObjectARB missing!
GL_ARB_shader_objects has the entry point glGetActiveUniformARB missing!
GL_ARB_shader_objects has the entry point glGetAttachedObjectsARB missing!
GL_ARB_shader_objects has the entry point glGetHandleARB missing!
GL_ARB_shader_objects has the entry point glGetInfoLogARB missing!
GL_ARB_shader_objects has the entry point glGetObjectParameterfvARB missing!
GL_ARB_shader_objects has the entry point glGetObjectParameterivARB missing!
GL_ARB_shader_objects has the entry point glGetShaderSourceARB missing!
GL_ARB_shader_objects has the entry point glGetUniformLocationARB missing!
GL_ARB_shader_objects has the entry point glGetUniformfvARB missing!
GL_ARB_shader_objects has the entry point glGetUniformivARB missing!
GL_ARB_shader_objects has the entry point glLinkProgramARB missing!
GL_ARB_shader_objects has the entry point glShaderSourceARB missing!
GL_ARB_shader_objects has the entry point glUniform1fARB missing!
GL_ARB_shader_objects has the entry point glUniform1fvARB missing!
GL_ARB_shader_objects has the entry point glUniform1iARB missing!
GL_ARB_shader_objects has the entry point glUniform1ivARB missing!
GL_ARB_shader_objects has the entry point glUniform2fARB missing!
GL_ARB_shader_objects has the entry point glUniform2fvARB missing!
GL_ARB_shader_objects has the entry point glUniform2iARB missing!
GL_ARB_shader_objects has the entry point glUniform2ivARB missing!
GL_ARB_shader_objects has the entry point glUniform3fARB missing!
GL_ARB_shader_objects has the entry point glUniform3fvARB missing!
GL_ARB_shader_objects has the entry point glUniform3iARB missing!
GL_ARB_shader_objects has the entry point glUniform3ivARB missing!
GL_ARB_shader_objects has the entry point glUniform4fARB missing!
GL_ARB_shader_objects has the entry point glUniform4fvARB missing!
GL_ARB_shader_objects has the entry point glUniform4iARB missing!
GL_ARB_shader_objects has the entry point glUniform4ivARB missing!
GL_ARB_shader_objects has the entry point glUniformMatrix2fvARB missing!
GL_ARB_shader_objects has the entry point glUniformMatrix3fvARB missing!
GL_ARB_shader_objects has the entry point glUniformMatrix4fvARB missing!
GL_ARB_shader_objects has the entry point glUseProgramObjectARB missing!
GL_ARB_shader_objects has the entry point glValidateProgramARB missing!
GL_ARB_texture_compression has the entry point glCompressedTexImage1DARB missing!
GL_ARB_texture_compression has the entry point glCompressedTexImage2DARB missing!
GL_ARB_texture_compression has the entry point glCompressedTexImage3DARB missing!
GL_ARB_texture_compression has the entry point glCompressedTexSubImage1DARB missing!
GL_ARB_texture_compression has the entry point glCompressedTexSubImage2DARB missing!
GL_ARB_texture_compression has the entry point glCompressedTexSubImage3DARB missing!
GL_ARB_texture_compression has the entry point glGetCompressedTexImageARB missing!
GL_ARB_transpose_matrix has the entry point glLoadTransposeMatrixdARB missing!
GL_ARB_transpose_matrix has the entry point glLoadTransposeMatrixfARB missing!
GL_ARB_transpose_matrix has the entry point glMultTransposeMatrixdARB missing!
GL_ARB_transpose_matrix has the entry point glMultTransposeMatrixfARB missing!
GL_ARB_vertex_buffer_object has the entry point glBindBufferARB missing!
GL_ARB_vertex_buffer_object has the entry point glBufferDataARB missing!
GL_ARB_vertex_buffer_object has the entry point glBufferSubDataARB missing!
GL_ARB_vertex_buffer_object has the entry point glDeleteBuffersARB missing!
GL_ARB_vertex_buffer_object has the entry point glGenBuffersARB missing!
GL_ARB_vertex_buffer_object has the entry point glGetBufferParameterivARB missing!
GL_ARB_vertex_buffer_object has the entry point glGetBufferPointervARB missing!
GL_ARB_vertex_buffer_object has the entry point glGetBufferSubDataARB missing!
GL_ARB_vertex_buffer_object has the entry point glIsBufferARB missing!
GL_ARB_vertex_buffer_object has the entry point glMapBufferARB missing!
GL_ARB_vertex_buffer_object has the entry point glUnmapBufferARB missing!
GL_ARB_vertex_program has the entry point glBindProgramARB missing!
GL_ARB_vertex_program has the entry point glDeleteProgramsARB missing!
GL_ARB_vertex_program has the entry point glDisableVertexAttribArrayARB missing!
GL_ARB_vertex_program has the entry point glEnableVertexAttribArrayARB missing!
GL_ARB_vertex_program has the entry point glGenProgramsARB missing!
GL_ARB_vertex_program has the entry point glGetProgramEnvParameterdvARB missing!
GL_ARB_vertex_program has the entry point glGetProgramEnvParameterfvARB missing!
GL_ARB_vertex_program has the entry point glGetProgramLocalParameterdvARB missing!
GL_ARB_vertex_program has the entry point glGetProgramLocalParameterfvARB missing!
GL_ARB_vertex_program has the entry point glGetProgramStringARB missing!
GL_ARB_vertex_program has the entry point glGetProgramivARB missing!
GL_ARB_vertex_program has the entry point glGetVertexAttribPointervARB missing!
GL_ARB_vertex_program has the entry point glGetVertexAttribdvARB missing!
GL_ARB_vertex_program has the entry point glGetVertexAttribfvARB missing!
GL_ARB_vertex_program has the entry point glGetVertexAttribivARB missing!
GL_ARB_vertex_program has the entry point glIsProgramARB missing!
GL_ARB_vertex_program has the entry point glProgramEnvParameter4dARB missing!
GL_ARB_vertex_program has the entry point glProgramEnvParameter4dvARB missing!
GL_ARB_vertex_program has the entry point glProgramEnvParameter4fARB missing!
GL_ARB_vertex_program has the entry point glProgramEnvParameter4fvARB missing!
GL_ARB_vertex_program has the entry point glProgramLocalParameter4dARB missing!
GL_ARB_vertex_program has the entry point glProgramLocalParameter4dvARB missing!
GL_ARB_vertex_program has the entry point glProgramLocalParameter4fARB missing!
GL_ARB_vertex_program has the entry point glProgramLocalParameter4fvARB missing!
GL_ARB_vertex_program has the entry point glProgramStringARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib1dARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib1dvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib1fARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib1fvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib1sARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib1svARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib2dARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib2dvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib2fARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib2fvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib2sARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib2svARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib3dARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib3dvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib3fARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib3fvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib3sARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib3svARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4NbvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4NivARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4NsvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4NubARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4NubvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4NuivARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4NusvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4bvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4dARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4dvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4fARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4fvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4ivARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4sARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4svARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4ubvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4uivARB missing!
GL_ARB_vertex_program has the entry point glVertexAttrib4usvARB missing!
GL_ARB_vertex_program has the entry point glVertexAttribPointerARB missing!
GL_ARB_vertex_shader has the entry point glBindAttribLocationARB missing!
GL_ARB_vertex_shader has the entry point glGetActiveAttribARB missing!
GL_ARB_vertex_shader has the entry point glGetAttribLocationARB missing!
GL_ARB_window_pos has the entry point glWindowPos2dARB missing!
GL_ARB_window_pos has the entry point glWindowPos2dvARB missing!
GL_ARB_window_pos has the entry point glWindowPos2fARB missing!
GL_ARB_window_pos has the entry point glWindowPos2fvARB missing!
GL_ARB_window_pos has the entry point glWindowPos2iARB missing!
GL_ARB_window_pos has the entry point glWindowPos2ivARB missing!
GL_ARB_window_pos has the entry point glWindowPos2sARB missing!
GL_ARB_window_pos has the entry point glWindowPos2svARB missing!
GL_ARB_window_pos has the entry point glWindowPos3dARB missing!
GL_ARB_window_pos has the entry point glWindowPos3dvARB missing!
GL_ARB_window_pos has the entry point glWindowPos3fARB missing!
GL_ARB_window_pos has the entry point glWindowPos3fvARB missing!
GL_ARB_window_pos has the entry point glWindowPos3iARB missing!
GL_ARB_window_pos has the entry point glWindowPos3ivARB missing!
GL_ARB_window_pos has the entry point glWindowPos3sARB missing!
GL_ARB_window_pos has the entry point glWindowPos3svARB missing!
GL_ATI_separate_stencil has the entry point glStencilFuncSeparateATI missing!
GL_ATI_separate_stencil has the entry point glStencilOpSeparateATI missing!
GL_EXT_blend_color has the entry point glBlendColorEXT missing!
GL_EXT_blend_equation_separate has the entry point glBlendEquationSeparateEXT missing!
GL_EXT_blend_func_separate has the entry point glBlendFuncSeparateEXT missing!
GL_EXT_blend_minmax has the entry point glBlendEquationEXT missing!
GL_EXT_color_subtable was not found, but has the entry point glColorSubTableEXT 
GL_EXT_compiled_vertex_array has the entry point glLockArraysEXT missing!
GL_EXT_compiled_vertex_array has the entry point glUnlockArraysEXT missing!
GL_EXT_draw_range_elements has the entry point glDrawRangeElementsEXT missing!
GL_EXT_fog_coord has the entry point glFogCoordPointerEXT missing!
GL_EXT_fog_coord has the entry point glFogCoorddEXT missing!
GL_EXT_fog_coord has the entry point glFogCoorddvEXT missing!
GL_EXT_fog_coord has the entry point glFogCoordfEXT missing!
GL_EXT_fog_coord has the entry point glFogCoordfvEXT missing!
GL_EXT_framebuffer_object has the entry point glBindFramebufferEXT missing!
GL_EXT_framebuffer_object has the entry point glBindRenderbufferEXT missing!
GL_EXT_framebuffer_object has the entry point glCheckFramebufferStatusEXT missing!
GL_EXT_framebuffer_object has the entry point glDeleteFramebuffersEXT missing!
GL_EXT_framebuffer_object has the entry point glDeleteRenderbuffersEXT missing!
GL_EXT_framebuffer_object has the entry point glFramebufferRenderbufferEXT missing!
GL_EXT_framebuffer_object has the entry point glFramebufferTexture1DEXT missing!
GL_EXT_framebuffer_object has the entry point glFramebufferTexture2DEXT missing!
GL_EXT_framebuffer_object has the entry point glFramebufferTexture3DEXT missing!
GL_EXT_framebuffer_object has the entry point glGenFramebuffersEXT missing!
GL_EXT_framebuffer_object has the entry point glGenRenderbuffersEXT missing!
GL_EXT_framebuffer_object has the entry point glGenerateMipmapEXT missing!
GL_EXT_framebuffer_object has the entry point glGetFramebufferAttachmentParameterivEXT missing!
GL_EXT_framebuffer_object has the entry point glGetRenderbufferParameterivEXT missing!
GL_EXT_framebuffer_object has the entry point glIsFramebufferEXT missing!
GL_EXT_framebuffer_object has the entry point glIsRenderbufferEXT missing!
GL_EXT_framebuffer_object has the entry point glRenderbufferStorageEXT missing!
GL_EXT_multi_draw_arrays has the entry point glMultiDrawArraysEXT missing!
GL_EXT_multi_draw_arrays has the entry point glMultiDrawElementsEXT missing!
GL_EXT_paletted_texture was not found, but has the entry point glColorTableEXT 
GL_EXT_paletted_texture was not found, but has the entry point glGetColorTableEXT 
GL_EXT_paletted_texture was not found, but has the entry point glGetColorTableParameterfvEXT 
GL_EXT_paletted_texture was not found, but has the entry point glGetColorTableParameterivEXT 
GL_EXT_secondary_color has the entry point glSecondaryColor3bEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3bvEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3dEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3dvEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3fEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3fvEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3iEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3ivEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3sEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3svEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3ubEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3ubvEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3uiEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3uivEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3usEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColor3usvEXT missing!
GL_EXT_secondary_color has the entry point glSecondaryColorPointerEXT missing!
GL_EXT_stencil_two_side has the entry point glActiveStencilFaceEXT missing!
GL_EXT_texture3D has the entry point glTexImage3DEXT missing!
GL_NV_conditional_render has the entry point glBeginConditionalRenderNV missing!
GL_NV_conditional_render has the entry point glEndConditionalRenderNV missing!
WGL_ARB_buffer_region has the entry point wglCreateBufferRegionARB missing!
WGL_ARB_buffer_region has the entry point wglDeleteBufferRegionARB missing!
WGL_ARB_buffer_region has the entry point wglRestoreBufferRegionARB missing!
WGL_ARB_buffer_region has the entry point wglSaveBufferRegionARB missing!
WGL_ARB_buffer_region has been added to the extensions list of Mobile Intel(R) 4 Series Express Chipset Family 
WGL_ARB_extensions_string has the entry point wglGetExtensionsStringARB missing!
WGL_ARB_extensions_string has been added to the extensions list of Mobile Intel(R) 4 Series Express Chipset Family 
WGL_ARB_make_current_read has the entry point wglGetCurrentReadDCARB missing!
WGL_ARB_make_current_read has the entry point wglMakeContextCurrentARB missing!
WGL_ARB_make_current_read has been added to the extensions list of Mobile Intel(R) 4 Series Express Chipset Family 
WGL_ARB_pbuffer has the entry point wglCreatePbufferARB missing!
WGL_ARB_pbuffer has the entry point wglDestroyPbufferARB missing!
WGL_ARB_pbuffer has the entry point wglGetPbufferDCARB missing!
WGL_ARB_pbuffer has the entry point wglQueryPbufferARB missing!
WGL_ARB_pbuffer has the entry point wglReleasePbufferDCARB missing!
WGL_ARB_pbuffer has been added to the extensions list of Mobile Intel(R) 4 Series Express Chipset Family 
WGL_ARB_pixel_format has the entry point wglChoosePixelFormatARB missing!
WGL_ARB_pixel_format has the entry point wglGetPixelFormatAttribfvARB missing!
WGL_ARB_pixel_format has the entry point wglGetPixelFormatAttribivARB missing!
WGL_ARB_pixel_format has been added to the extensions list of Mobile Intel(R) 4 Series Express Chipset Family 
WGL_ARB_pixel_format_float has been added to the extensions list of Mobile Intel(R) 4 Series Express Chipset Family 
WGL_EXT_extensions_string has the entry point wglGetExtensionsStringEXT missing!
WGL_EXT_extensions_string has been added to the extensions list of Mobile Intel(R) 4 Series Express Chipset Family 
WGL_EXT_swap_control has the entry point wglGetSwapIntervalEXT missing!
WGL_EXT_swap_control has the entry point wglSwapIntervalEXT missing!
WGL_EXT_swap_control has been added to the extensions list of Mobile Intel(R) 4 Series Express Chipset Family 
GL_ARB_depth_buffer_float was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_ARB_framebuffer_object was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_ARB_framebuffer_sRGB was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_ARB_half_float_vertex was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_ARB_texture_compression_rgtc was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_ARB_texture_rg was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_ARB_vertex_array_object was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_EXT_draw_buffers2 was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_EXT_framebuffer_blit was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_EXT_packed_depth_stencil was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_EXT_packed_float was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_EXT_texture_edge_clamp was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_EXT_texture_shared_exponent was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237 
GL_EXT_transform_feedback was not found, but is available in driver version 2.1.0 - Build 6.14.10.5237
Comment 15 billy78 2016-10-17 06:20:41 UTC
I'm sorry for the previous long post, I don't know how to edit it :-(
BTW, when I'm saying that transitions work up to v5.2.0 beta1, I mean that they don't make Impress crash. They actually do nothing during preview.
Comment 16 Kumāra 2016-10-20 07:51:06 UTC
Created attachment 128088 [details]
ODP with Fade on the 2nd slide
Comment 17 Kumāra 2016-10-20 08:01:35 UTC
I too have Impress crashing LO upon custom slide transition. Test file attached above. OpenGL disabled.

However I recall not having this problem with 5.0 series
I first encountered it on 5.1.5 (Still!)
Then upon upgrading to the latest release 5.2.2, the same happens.
Comment 18 Kumāra 2016-10-20 08:03:45 UTC Comment hidden (obsolete)
Comment 19 Michael Meeks 2016-10-21 16:46:57 UTC
Windows 7 + Intel GL is known to be a horror gallery. We should black-list that, the problem I guess is that we need to disable GL for presentations as well - separately somehow.

Probably - we should disable Impress GL transitions for actively black-listed hardware/os/version combinations - that would solve this bug, rather than over-complicating things.

Patches most welcome.
Comment 20 Kumāra 2016-10-22 03:29:39 UTC
(In reply to Michael Meeks from comment #19)
> Windows 7 + Intel GL is known to be a horror gallery. We should black-list
> that, the problem I guess is that we need to disable GL for presentations as
> well - separately somehow.

That's one way to solve it, but I've also seen those fancy transitions working perfectly on my computer (Win7). It seems when some patch is made to fix a bug for another OS, things go down on this one: either some custom animation effects don't work properly (like popping in when "Fly In" is chosen), or crashing.

Btw, I recall now that 5.0.6 was ok for me.
Comment 21 Aron Budea 2016-10-28 17:51:03 UTC
I don't know why I set 5.0.0.5 as earliest version... adjusting to beta 2 based on Billy78's triage in comment 14. Thanks!
Comment 22 Aron Budea 2016-10-28 17:53:38 UTC
*** Bug 103551 has been marked as a duplicate of this bug. ***
Comment 23 Kumāra 2016-10-31 04:34:28 UTC
(In reply to Aron Budea from comment #21)
> I don't know why I set 5.0.0.5 as earliest version... adjusting to beta 2
> based on Billy78's triage in comment 14. Thanks!

That saves me (and probably many others) the confusion. :-)

I'm still puzzled by "that is not supported (maybe because of low OPENGL version)". I can't see how OpenGL got "lowered" on 5.2. If this is unrelated, I suggest removing this part.

Are you mixing up OpenGL with OpenCL?
Comment 24 billy78 2016-10-31 05:38:49 UTC
(In reply to Kumāra from comment #23)
> (In reply to Aron Budea from comment #21)
> > I don't know why I set 5.0.0.5 as earliest version... adjusting to beta 2
> > based on Billy78's triage in comment 14. Thanks!
> 
> That saves me (and probably many others) the confusion. :-)
> 
> I'm still puzzled by "that is not supported (maybe because of low OPENGL
> version)". I can't see how OpenGL got "lowered" on 5.2. If this is
> unrelated, I suggest removing this part.
> 
> Are you mixing up OpenGL with OpenCL?

I don't have any knowledge about Impress transitions and I thought that the crashes occurred due to not high enough OpenGL version in my system. I have no idea what OpenCL is and how it is related. If you think that this part should be removed from the title, please do so :-)
Comment 25 Kumāra 2016-10-31 07:16:42 UTC
(In reply to billy78 from comment #24)
> I don't have any knowledge about Impress transitions and I thought that the
> crashes occurred due to not high enough OpenGL version in my system. I have
> no idea what OpenCL is and how it is related. If you think that this part
> should be removed from the title, please do so :-)

Thanks for clarifying, Billy.

I asked because you wrote: "Various OPENGL versions". What do you mean?

Another thing: What do you mean by "They actually do nothing during preview." in Comment 15?

I'd like to make the Summary clearer, but before that please confirm this: You have "Automatic Preview" enabled?
Comment 26 Aron Budea 2016-10-31 07:55:42 UTC
(In reply to Kumāra from comment #23)
> (In reply to Aron Budea from comment #21)
> > I don't know why I set 5.0.0.5 as earliest version... adjusting to beta 2
> > based on Billy78's triage in comment 14. Thanks!
> 
> That saves me (and probably many others) the confusion. :-)

Actually, this report was set to 5.0.0.5 originally.
Also, it seems to vary based on GPU capabilities, since the system I reproduced this with (comment 13) crashes with 5.1.0.3, but not with 5.0.0.5.
GLView reports 1.3 for the card.
Comment 27 billy78 2016-10-31 14:01:16 UTC
(In reply to Kumāra from comment #25)
> (In reply to billy78 from comment #24)
> > I don't have any knowledge about Impress transitions and I thought that the
> > crashes occurred due to not high enough OpenGL version in my system. I have
> > no idea what OpenCL is and how it is related. If you think that this part
> > should be removed from the title, please do so :-)
> 
> Thanks for clarifying, Billy.
> 
> I asked because you wrote: "Various OPENGL versions". What do you mean?
> 
> Another thing: What do you mean by "They actually do nothing during
> preview." in Comment 15?
> 
> I'd like to make the Summary clearer, but before that please confirm this:
> You have "Automatic Preview" enabled?

I have "Automatic Preview" enabled. Clicking in a non-crashing transition, makes the grey background around the slide to go black for a second (like a transition for the slide is being displayed, but actually there is no effect, the contents appear in their place) and then the slide becomes active again. No visible effect is being applied to the slide. During slideshow, no transition is being applied, the slides appear like they have no transition.
Comment 28 Kumāra 2016-11-04 03:07:22 UTC
The matter is probably explained here: https://bugs.documentfoundation.org/show_bug.cgi?id=103046#c12
Comment 29 Martin Sourada 2016-11-27 19:11:48 UTC
Hello,

experiencing the same on all Windows computers I tried (all Win 7). On Linux this works without issues.

I can confirm with 5.2.2 and 5.2.3 is broken on Win, GL is reported to be disabled. (side note: if I force-enable it, LO enters endless crash-restart loop during startup...).

Graphics card is Intel on both Win and Linux.

Also, this bug seems to me to be related to Bug #97921.
Comment 30 Kumāra 2016-11-28 07:05:53 UTC
(In reply to Martin Sourada from comment #29)
> experiencing the same on all Windows computers I tried (all Win 7). On Linux
> this works without issues.

<snip>
 
> Graphics card is Intel on both Win and Linux.

Are the the same type/model?
Comment 31 Martin Sourada 2016-11-28 15:39:29 UTC
Unfort(In reply to Kumāra from comment #30)
> (In reply to Martin Sourada from comment #29)
> > experiencing the same on all Windows computers I tried (all Win 7). On Linux
> > this works without issues.
> 
> <snip>
>  
> > Graphics card is Intel on both Win and Linux.
> 
> Are the the same type/model?

Unfortunately not. I don't have win on my linux machine (notebook) and linux on the windows machines (desktops) and my CentOS can't seem to be able to produce bootable liveusb... :/

FWIW, the Linux machine reports its card as:
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)

The Windows one as:
Intel G41 Express Chipset

And another Windows machine (also crashing) has:
ATI Radeon HD 4550
Comment 32 Aron Budea 2017-01-04 04:25:47 UTC
*** Bug 105073 has been marked as a duplicate of this bug. ***
Comment 33 Aron Budea 2017-01-07 20:37:14 UTC
Ndarbant, please don't hijack an existing bug report for your different issue, open a new one instead.
Comment 34 Aron Budea 2017-01-21 09:37:23 UTC Comment hidden (bibisection)
Comment 35 Aron Budea 2017-01-21 09:39:45 UTC
This was a bit tricky, as it already crashed with the oldest commit in repo bibisect-win32-5.1, but not for the same reason (that was some VclPtr fallout that got fixed for the first 5.0 release, 5.0.0.5). A reverse bibisect first identified the fixing commit (90e901b3f92b3c537aaf0dab83de2a9b073e761f, bug 91426), and the second bibisect starting from that commit identified the real offending commit, referenced below.
I used my hw setup from comment 13 for bibisecting this crash.

Adding Cc: to Emmanuel Gil Peyrot, and also adding Cc: to Tomaž Vajngerl, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=fe9bcdc5a5989f5f56488d75809b040c3f484202
author		Emmanuel Gil Peyrot <emmanuel.peyrot@collabora.com>	2015-12-09 21:39:31 (GMT)
committer	Tomaž Vajngerl <tomaz.vajngerl@collabora.com>	2015-12-12 08:31:51 (GMT)

"opengl: Add Geometry Shader support to OpenGLHelper"


Note: if anyone else does not get the crash starting from major release 5.1.0.3 (billy78?), only from 5.2.0.4, that is likely a separate issue, and needs to be traced down separately.
Comment 36 billy78 2017-01-21 10:46:36 UTC
(In reply to Aron Budea from comment #35)
> Note: if anyone else does not get the crash starting from major release
> 5.1.0.3 (billy78?), only from 5.2.0.4, that is likely a separate issue, and
> needs to be traced down separately.

In my previous tests, I got the crash from 5.2.0 beta2, not from earlier versions.
Comment 37 Aron Budea 2017-01-21 12:09:47 UTC
(In reply to billy78 from comment #36)
> In my previous tests, I got the crash from 5.2.0 beta2, not from earlier
> versions.

Ok, actually, they are very likely related, since they affect the same slide transitions, and as I found there were a bunch of commits affecting those. However, if you could do a bibisect to identify the particular commit that broke this on your system, that would provide additional details to the dev picking up this bug report, and would be appreciated.

For bibisecting this particular bug, you need Cygwin, bibisect-win32-5.2 git repository from [1] (6 GB), and to take the steps described there (about 15 mins of work).

[1] https://wiki.documentfoundation.org/QA/Bibisect/Windows


Btw, I linked the commit from 5.1 branch in my previous comment, the same change in the master branch is:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=facfbeb5cbff191da956827bc37df7bc74ed0b81
Comment 38 Kumāra 2017-01-25 03:10:03 UTC Comment hidden (obsolete)
Comment 39 Kumāra 2017-01-25 03:23:19 UTC Comment hidden (obsolete)
Comment 40 Aron Budea 2017-01-31 02:48:13 UTC
Noticed this in last week's ESC minutes (17-01-26) regarding the bug:
"+ ongoing investigation; Win XP + OGL [!] ..."

Note that this bug definitely affects Windows 7 (no experience with other versions).
Comment 41 Xisco Faulí 2017-02-01 11:11:49 UTC
*** Bug 105662 has been marked as a duplicate of this bug. ***
Comment 42 billy78 2017-02-02 11:55:13 UTC
Did anything change in 5.3? I did a clean install of 5.3.0.3 (first stable release of 5.3) and all transitions don't crash Impress now! The newer transition just don't do anything, but at least they don't crash the application! Can anyone else confirm this?
Comment 43 Aron Budea 2017-02-05 23:03:40 UTC
I'm still getting a crash with the mentioned transitions using a 5.4 daily build from 2017-01-29.
Comment 44 billy78 2017-02-06 07:41:42 UTC
(In reply to Aron Budea from comment #43)
> I'm still getting a crash with the mentioned transitions using a 5.4 daily
> build from 2017-01-29.

5.2.5.1 : crash
5.3.0.3 : no crash
http://dev-builds.libreoffice.org/daily/master/Win-x86@42/2017-01-29_05.25.38/libo-master~2017-01-29_05.25.38_LibreOfficeDev_5.4.0.0.alpha0_Win_x86.msi : nocrash
Comment 45 Aron Budea 2017-02-12 22:07:36 UTC
(In reply to billy78 from comment #44)
> 5.2.5.1 : crash
> 5.3.0.3 : no crash
> http://dev-builds.libreoffice.org/daily/master/Win-x86@42/2017-01-29_05.25.
> 38/libo-master~2017-01-29_05.25.38_LibreOfficeDev_5.4.0.0.alpha0_Win_x86.msi
> : nocrash

Since we started getting the (otherwise very similar) crash at different versions, it could be that the cause affecting your system has been resolved, but the one affecting my system is still there. Nevertheless, it's good to hear the crash is gone for you.
Comment 46 Julien Nabet 2017-05-29 08:41:23 UTC
Don't hesitate to reopen this tracker if you still reproduce with next version 5.3.4.
You can also give a try with a master daily build (see http://dev-builds.libreoffice.org/daily/master/)

*** This bug has been marked as a duplicate of bug 108069 ***